//User API

User & Profile API

Endpoints

GET /api/profile

Retrieves the authenticated user's profile.

Input: None (Headers only)

Output: ~~~json { "id": 1, "first_name": "John", "email": "john@example.com" } ~~~

PUT /api/profile

Updates the authenticated user's profile.

Input: ~~~json { "first_name": "Jane", "phone": "+15550000000" } ~~~

Output: ~~~json { "status": "profile updated" } ~~~

GET /api/users

Retrieves a list of users, with optional filtering.

Query Parameters:

  • email: Filter by email address.
  • status: Filter by status (active/inactive).

Output: ~~~json { "data": [{ "id": 1, "email": "user@example.com" }] } ~~~

PUT /api/users/:user_uuid/role

Updates a user's role.

Input: ~~~json { "role": "admin" } ~~~

Output: ~~~json { "status": "role updated" } ~~~

GET /api/users/:user_uuid/picture

Retrieves a user's profile picture.

Output: (Binary Image Data)